import request2 from '@/utils/request2'

// 关闭乐团前获取学员列表
export const getMusicGroupStuReBack = data => request2({
  url: '/api-web/studentRegistration/getMusicGroupStuReBack',
  params: data,
  method: 'get',
})

// 填加学员接口
export const addMusicGroupRegs = data => request2({
  url: '/api-web/musicGroup/addMusicGroupRegs',
  data,
  method: 'post',
  requestType: 'json'
})

// 删除学员
export const delStudentRegistration = data => request2({
  url: '/api-web/studentRegistration/del',
  data,
  method: 'post',
  requestType: 'json'
})

// 删除学员
export const batchDelStudentRegistration = data => request2({
  url: '/api-web/studentRegistration/batchDel',
  data,
  method: 'post',
  requestType: 'json'
})

// 关闭乐团
export const closeMusicGroup = data => request2({
  url: '/api-web/musicGroup/closeMusicGroup',
  data,
  method: 'post',
  requestType: 'json'
})

// 开启缴费
export const finishPreApply = data => request2({
  url: '/api-web/musicGroup/finishPreApply',
  data,
  method: 'post',
  requestType: 'form'
})

// 预报名列表
export const queryPreApplyList = data => request2({
  url: '/api-web/studentRegistration/queryPreApplyList',
  params: data,
  method: 'get',
  requestType: 'json'
})

// 意向列表
export const queryPreApplySubjectList = data => request2({
  url: '/api-web/studentRegistration/queryPreApplySubjectList',
  params: data,
  method: 'get',
  requestType: 'json'
})

// 发送家长会通知
export const sendParentMeetingNotice = data => request2({
  url: '/api-web/musicGroup/sendParentMeetingNotice',
  data,
  method: 'post',
  requestType: 'form'
})